Bravely Default

Discussion in '3DS - Flashcards & Custom Firmwares' started by zergslayer, Nov 17, 2013.

  1. zergslayer
    OP

    zergslayer Newbie

    Newcomer
    6
    3
    Nov 1, 2013
    I'm eagerly awaiting the game, though i was wondering what firmware the european version might be requiring. Do you guys think it'll be possible to play it with gateway 1.2, or will I have to wait for 2.0?
     
  2. Zaide

    Zaide GBAtemp Regular

    Member
    296
    120
    Apr 2, 2009
    United States
    There is no way it'll work on 1.2. Considering the fact that several games have already been released that don't work on 1.2, I don't see why the publisher would allow a high profile game like Bravely Default to be released without breaking Gateway 1.2 compatibility in some way.
     
  3. phanteon

    phanteon GBAtemp Fan

    Member
    457
    154
    Nov 4, 2013
    United States
    whats the release date for that one? i recommend you to check http://3ds.essh.co/ to know when its dumped and all the info related.

    PS: maybe the game works after all, i mean, the jp version is already out. Maybe they just translate the game and ship it without major changes. Implementing AP protections might increase production costs
     
  4. EZ-Megaman

    EZ-Megaman Likeanator

    Member
    380
    425
    Aug 11, 2009

    Europe and America are getting an 'enhanced' version of the game (to be released in Japan next month), so it is very unlikely that they will not implement anti piracy measures for the game.
     
  5. zergslayer69

    zergslayer69 GBAtemp Fan

    Member
    307
    12
    Jan 24, 2008
    United States
    Nice screen name you got there OP =p
     
  6. elcravo

    elcravo Advanced Member

    Newcomer
    58
    14
    Feb 25, 2013
    Gambia, The
    Ah cool. I've never heard of the game up until now. It looks really nice. I think I will buy it when it launches on 6th of december.